## XR1000-V1.0.2.86_src.zip

=== userspace/ap/gpl/avahi/Makefile ===
include ../config.mk
include ../config.in
export PATH := /projects/hnd/tools/linux/hndtools-armeabi-2011.09/bin:/usr/sbin:/usr/bin:$(PATH)

SUBDIRS :=
SUBDIRS += libdaemon-0.14 
SUBDIRS += expat-2.1.0 
SUBDIRS += gdbm-1.11 
SUBDIRS += dbus-1.9.14 
SUBDIRS += avahi-0.6.31

PKG_CONFIG_PATH=$(SRC_PATH)/build/usr/lib/pkgconfig
export PKG_CONFIG_PATH
PKG_CONFIG_LIBDIR=$(SRC_PATH)/build/usr/lib/pkgconfig
export PKG_CONFIG_LIBDIR

#ifeq ($(ARCH),arm)
#AR = arm-brcm-linux-uclibcgnueabi-ar
#CC = arm-brcm-linux-uclibcgnueabi-gcc
#RANLIB = arm-brcm-linux-uclibcgnueabi-ranlib
#STRIP = arm-brcm-linux-uclibcgnueabi-strip
#CXX = arm-brcm-linux-uclibcgnueabi-g++
#LD = arm-brcm-linux-uclibcgnueabi-ld
#export BUILD := i386-pc-linux-gnu
#export HOSTCC := gcc
#PLATFORM := $(PLT)-uclibc
#else
#AR =  mipsel-linux-linux26-ar
#CC =  mipsel-linux-linux26-gcc
#RANLIB =  mipsel-linux-linux26-ranlib
#STRIP =  mipsel-linux-linux26-strip
#endif

SRC_PATH=$(shell pwd)


all: $(SUBDIRS)
	$(info "===========================")
	$(info "  Build avahi Done  ")
	$(info "===========================")

libdaemon-0.14:
		$(info build $@)
		test -s $@/Makefile || ( cd $@ && ./configure --prefix=/usr ac_cv_func_setpgrp_void=yes \
		--disable-dependency-tracking --build=$(BUILD) --target=$(PLATFORM)-linux --host=$(PLATFORM)-linux && cd .. ); \
		(cd $@; make all; make install install-strip DESTDIR=$(SRC_PATH)/build) || exit 1;

gdbm-1.11:
	$(info build $@)
	test -s $@/Makefile || ( cd $@ && ./configure --prefix=/usr --build=$(BUILD) --target=$(PLATFORM)-linux --host=$(PLATFORM)-linux --enable-shared --enable-static && cd .. ); \
	(cd $@; make all; make install DESTDIR=$(SRC_PATH)/build;) || exit 1;

expat-2.1.0:
	$(info build $@)
	test -s $@/Makefile || ( cd $@ && ./configure --prefix=/usr --build=$(BUILD) --target=$(PLATFORM)-linux --host=$(PLATFORM)-linux && cd .. ); \
	(cd $@; make buildlib; make installlib DESTDIR=$(SRC_PATH)/build;) || exit 1;

dbus-1.9.14: expat-2.1.0
	$(info build $@)
	sed -i s~^libdir.*~libdir=\'$(SRC_PATH)/build/usr/lib\'~g $(SRC_PATH)/build/usr/lib/libexpat.la
	test -s $@/Makefile || ( cd $@ && ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=$(BUILD) --target=$(PLATFORM)-linux --host=$(PLATFORM)-linux LDFLAGS="-L$(SRC_PATH)/build/usr/lib" CFLAGS="-I$(SRC_PATH)/build/usr/include" --with-system-socket="/var/run/system_bus_socket" -with-x=no --with-dbus-user=admin --with-system-pid-file=/var/messagebus.pid && cd .. ); \
	(cd $@; make all; make install DESTDIR=$(SRC_PATH)/build;) || exit 1;

avahi-0.6.31: expat-2.1.0 libdaemon-0.14
	$(info build $@)
	sed -i s~^libdir.*~libdir=\'$(SRC_PATH)/build/usr/lib\'~g $(SRC_PATH)/build/usr/lib/libgdbm.la
	test -s $@/Makefile || ( cd $@ && ./configure --prefix=/usr --sysconfdir=/tmp --localstatedir=/var --build=$(BUILD) --target=$(PLATFORM)-linux --host=$(PLATFORM)-linux LDFLAGS="-L$(SRC_PATH)/build/usr/lib" CFLAGS="-DGETTEXT_PACKAGE -I$(SRC_PATH)/build/usr/include/dbus-1.0 -I$(SRC_PATH)/build/usr/lib/dbus-1.0/include -I$(SRC_PATH)/build/usr/include" DBUS_LIBS="-L$(SRC_PATH)/build/usr/lib -ldbus-1" DBUS_CFLAGS="-I$(SRC_PATH)/build/usr/include" LIBDAEMON_LIBS="-L$(SRC_PATH)/build/usr/lib -ldaemon" LIBDAEMON_CFLAGS="-I$(SRC_PATH)/build/usr/include" --localstatedir="/var" --enable-shared --disable-glib --disable-gobject --disable-qt3 --disable-qt4 --disable-gtk --disable-gtk3 --with-xml=expat --disable-dbm --enable-gdbm --enable-libdaemon --enable-dbus --disable-python --disable-python-dbus --disable-mono --disable-monodoc --disable-doxygen-doc --disable-doxygen-dot --disable-doxygen-xml --disable-doxygen-html --disable-manpages --disable-xmltoman --with-distro=archlinux --with-avahi-user=admin --with-avahi-group=root --with-avahi-priv-access-group=root --with-autoipd-user=admin --with-autoipd-group=root --disable-stack-protector && cd .. ); \
	(cd $@; make all; make install install-strip DESTDIR=$(SRC_PATH)/build) || exit 1;

clean:
	for i in ${SUBDIRS}; do \
		(cd $$i; make clean) || exit 1; \
	done
	rm -r ./build/*

cleansmb:


distclean:
	rm -rf .conf
	rm -rf build/*
	cd ./libdaemon-0.14/ && make distclean
	cd ./expat-2.1.0/ && make distclean
	cd ./gdbm-1.11/ && make distclean
	cd ./dbus-1.9.14/ && make distclean
	cd ./avahi-0.6.31/ && make distclean

install:
	test -d "$(TARGETDIR)" ||  mkdir  "$(TARGETDIR)"
	test -d "$(TARGETDIR)/usr" ||  mkdir  "$(TARGETDIR)/usr"
	test -d "$(TARGETDIR)/usr/bin" ||  mkdir  "$(TARGETDIR)/usr/bin"
	test -d "$(TARGETDIR)/usr/etc" ||  mkdir  "$(TARGETDIR)/usr/etc"
	test -d "$(TARGETDIR)/etc" ||  mkdir  "$(TARGETDIR)/etc"
	test -d "$(TARGETDIR)/usr/sbin" ||  mkdir  "$(TARGETDIR)/usr/sbin"
	test -d "$(TARGETDIR)/usr/lib" ||  mkdir  "$(TARGETDIR)/usr/lib"
	test -d "$(TARGETDIR)/lib" ||  mkdir  "$(TARGETDIR)/lib"
	test -d "$(TARGETDIR)/etc/init.d" ||  mkdir  "$(TARGETDIR)/etc/init.d"
	test -d "$(TARGETDIR)/etc/avahi" ||  mkdir  "$(TARGETDIR)/etc/avahi"
	test -d "$(TARGETDIR)/tmp" ||  mkdir  "$(TARGETDIR)/tmp"
	test -d "$(TARGETDIR)/tmp/avahi" ||  mkdir  "$(TARGETDIR)/tmp/avahi"
	test -d "$(TARGETDIR)/tmp/avahi/services" ||  mkdir  "$(TARGETDIR)/tmp/avahi/services"
	$(STRIP)  $(SRC_PATH)/build/usr/bin/gdbm*
	$(STRIP)  $(SRC_PATH)/build/usr/bin/dbus-daemon
	$(STRIP)  $(SRC_PATH)/build/usr/bin/avahi-*
	$(STRIP)  $(SRC_PATH)/build/usr/sbin/avahi-*
	#$(STRIP)  $(SRC_PATH)/build/usr/sbin/forked-daapd
	cp -rf $(SRC_PATH)/build/tmp/* $(TARGETDIR)/usr/etc/

	cp -f "$(SRC_PATH)/build/usr/bin/dbus-launch" "$(SRC_PATH)/build/usr/bin/dbus-launch.real"

	install -m 755 $(SRC_PATH)/build/usr/bin/dbus-daemon $(TARGETDIR)/usr/bin
	install -m 755 $(SRC_PATH)/build/usr/bin/dbus-launch.real $(TARGETDIR)/usr/bin
	install -m 755 $(SRC_PATH)/dbus-1.9.14/files/dbus-launch $(TARGETDIR)/usr/bin
	install -m 755 $(SRC_PATH)/build/etc/dbus-1/*.conf $(TARGETDIR)/etc
	install -m 755 $(SRC_PATH)/build/tmp/avahi/*.conf $(TARGETDIR)/etc
	install -m 755 $(SRC_PATH)/build/tmp/avahi/*.action $(TARGETDIR)/etc
	install -m 755 $(SRC_PATH)/build/usr/bin/avahi-* $(TARGETDIR)/usr/bin
	install -m 755 $(SRC_PATH)/build/usr/sbin/avahi-* $(TARGETDIR)/usr/sbin
	install -m 755 $(SRC_PATH)/build/tmp/dbus-1/system.d/avahi-dbus.conf $(TARGETDIR)/etc
	install -m 755 $(SRC_PATH)/dbus-1.9.14/files/dbus.init $(TARGETDIR)/etc/init.d/dbus
	install -m 755 $(SRC_PATH)/avahi-0.6.31/files/avahi-daemon.init $(TARGETDIR)/etc/init.d/avahi-daemon
	$(STRIP)  $(SRC_PATH)/build/usr/lib/*.so*
	install -m 755 $(SRC_PATH)/build/usr/lib/*.so*  $(TARGETDIR)/usr/lib
	install -m 755 $(SRC_PATH)/start_daemon.sh $(TARGETDIR)/usr/bin
	install -m 755 $(SRC_PATH)/avahi-0.6.31/files/mywifiext.service $(TARGETDIR)/tmp/mywifiext.service
	
	cp /projects/hnd/tools/linux/hndtools-arm-linux-2.6.36-uclibc-4.5.3/lib/librt* $(TARGETDIR)/lib
	#cd $(TARGETDIR)/etc/avahi/ && ln -sf ../../tmp/avahi/avahi-daemon.conf avahi-daemon.conf
	

.PHONY: $(SUBDIRS)

=== userspace/ap/gpl/bftpd-4.8/Makefile ===
include $(GPLTOPDIR)/config.mk

# Generated automatically from Makefile.in by configure.
VERSION=4.8
CC?=gcc
INSTALL=/usr/bin/install -c
prefix=/usr
CFLAGS=-g -O2 -DHAVE_CONFIG_H -Wall -I. -DVERSION=\"$(VERSION)\" -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -DPREFIX=\"$(prefix)\" 
LIBS= -lcrypt
mandir=${prefix}/man
sbindir=${exec_prefix}/sbin
DESTDIR=
DIRPAX=
PAX=

HEADERS=bftpdutmp.h commands.h commands_admin.h cwd.h dirlist.h list.h login.h logging.h main.h mystring.h options.h targzip.h mypaths.h md5.h md5_loc.h
OBJS=bftpdutmp.o commands.o commands_admin.o cwd.o dirlist.o list.o login.o logging.o main.o mystring.o options.o md5.o
SRCS=bftpdutmp.c commands.c commands_admin.c cwd.c dirlist.c list.c login.c logging.c main.c mystring.c options.c md5.c

OBJS2LINK=$(OBJS) $(PAX)
CFLAGS  += -I$(ACOSTOPDIR)/include
#LDFLAGS += -L$(USERAPPS_DIR)/private/libs/wlcsm/ -lwlcsm -L$(USERAPPS_DIR)/private/apps/wlan/nvram -lnvram -L$(TARGETDIR)/usr/local/lib -lgcc_s
LDFLAGS += -L$(TARGETDIR)/usr/local/lib -lgcc_s

#Foxconn add start, Ken Chen, 02/07/2017, no plain text in /etc/passwd
#CFLAGS += -I/$(GPLTOPDIR)/openssl/include
#LDFLAGS += -L$(INSTALL_DIR)/lib -lcrypto
#Foxconn add end, Ken Chen, 02/07/2017, no plain text in /etc/passwd 
CFLAGS += -I$(LIB_OPENSSLDIR)/include
LDFLAGS += -L$(INSTALL_DIR)/lib -lcrypto

all: bftpd

bftpd: $(OBJS)
	./mksources $(DIRPAX)
	$(CC) $(OBJS2LINK) $(LDFLAGS) $(LIBS) -o bftpd

$(OBJS): $(HEADERS) Makefile

install: all
	mkdir -p $(TARGETDIR)/$(prefix)/sbin
	$(INSTALL) bftpd $(TARGETDIR)/$(prefix)/sbin
	mkdir -p $(TARGETDIR)/$(prefix)/etc
	[ -f $(TARGETDIR)/$(prefix)/etc/bftpd.conf ] || \
		$(INSTALL) bftpd.conf $(TARGETDIR)/$(prefix)/etc
	mkdir -p $(TARGETDIR)/$(prefix)/var/log
	touch $(TARGETDIR)/$(prefix)/var/log/bftpd.log
	chmod 644 $(TARGETDIR)/$(prefix)/var/log/bftpd.log
	mkdir -p $(TARGETDIR)/$(prefix)/var/run/bftpd
	chmod 755 $(TARGETDIR)/$(prefix)/var/run/bftpd

clean distclean:
	rm -f *~ $(OBJS) bftpd mksources.finished config.cache
	[ "$(DIRPAX)" = "" ] || make -C $(DIRPAX) clean

newversion: clean
	cat Makefile.in | sed -e s/$(VERSION)/$(NEWVERSION)/g > Makefile.foo
	mv Makefile.foo Makefile.in
	./configure --enable-pax=pax --enable-libz --enable-pam

uninstall:
	rm -f $(DESTDIR)/$(prefix)/sbin/bftpd $(DESTDIR)/$(mandir)/man8/bftpd.8 \
		$(DESTDIR)/$(prefix)/etc/bftpd.conf

distribute: install
	rm -rf dist
	mkdir dist
	# Build source tarball
	rm -rf bftpd-$(VERSION)
	mkdir bftpd-$(VERSION)
	autoconf
	autoheader configure.in > config.h.in
	mkdir bftpd-$(VERSION)/doc
	cp CHANGELOG COPYING Makefile.in $(SRCS) $(HEADERS) \
	configure.in configure config.h.in bftpd.conf install-sh mksources \
	bftpd.spec.in acconfig.h bftpd.8 bftpd-$(VERSION)
	cp -r doc bftpd-$(VERSION)
	cd bftpd-$(VERSION)/doc/en && sgml2txt bftpddoc-en.sgml
	cd bftpd-$(VERSION) && ln -s doc/en/bftpddoc-en.txt INSTALL
	cd bftpd-$(VERSION) && ln -s doc/en/bftpddoc-en.txt README
	rm -f -r debian/tmp
	cp -a debian bftpd-$(VERSION)
	tar c bftpd-$(VERSION) | gzip -v9 > dist/bftpd-$(VERSION).tar.gz
	cp -Lr pax bftpd-$(VERSION)
	tar c bftpd-$(VERSION) | gzip -v9 > bftpd-$(VERSION)-pax.tar.gz
	# Build binary RPM
	./configure --enable-pam --enable-libz --enable-pax=pax && make install
	cat bftpd.spec.in | sed -e 's/VERSION/$(VERSION)/g' \
	> bftpd-$(VERSION)-1.spec
	rpm -bb bftpd-$(VERSION)-1.spec
	rm -f bftpd-$(VERSION)-1.spec
	cp -a /usr/src/rpm/RPMS/i386/bftpd-$(VERSION)-1.i386.rpm \
	dist/bftpd-$(VERSION).i386.rpm
	# Build binary DEB
	mv bftpd-$(VERSION)-pax.tar.gz bftpd-$(VERSION).tar.gz
	cd bftpd-$(VERSION) && (\
		cat debian/changelog.in | sed -e 's/VERSION/$(VERSION)/g' \
			> debian/changelog; \
		dpkg-buildpackage; \
	) && cd ..
	rm -f bftpd-$(VERSION).tar.gz
	cp bftpd_$(VERSION)-1_i386.deb dist
	rm -f bftpd_*
	# Remove temporary directory
	rm -rf bftpd-$(VERSION)

tarball: clean
	(cd .. && tar czf bftpd-$(VERSION).tar.gz bftpd)

=== userspace/ap/gpl/bzip2/Makefile ===
# ------------------------------------------------------------------
# This file is part of bzip2/libbzip2, a program and library for
# lossless, block-sorting data compression.
#
# bzip2/libbzip2 version 1.0.8 of 13 July 2019
# Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
#
# Please read the WARNING, DISCLAIMER and PATENTS sections in the 
# README file.
#
# This program is released under the terms of the license contained
# in the file LICENSE.
# ------------------------------------------------------------------

include ../config.mk
include ../config.in


#BUILD_DIR = $(TARGETDIR)/usr/sbin
#MANDIR = $(TARGETDIR)/usr/man

CURR_DIR := $(shell pwd)

SHELL=/bin/sh

# To assist in cross-compiling
EXE_EXT= 
ARFLAGS= 


LDFLAGS=

BIGFILES=-D_FILE_OFFSET_BITS=64
CFLAGS=-Wall -Winline -Os -g $(BIGFILES)

# Where you want it installed when you do 'make install'
PREFIX=$(TARGETDIR)/usr/sbin


OBJS= blocksort.o  \
      huffman.o    \
      crctable.o   \
      randtable.o  \
      compress.o   \
      decompress.o \
      bzlib.o

all: libbz2.a bzip2 bzip2recover 

bzip2: libbz2.a bzip2.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o bzip2 bzip2.o -L. -lbz2

bzip2recover: bzip2recover.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o bzip2recover bzip2recover.o

libbz2.a: $(OBJS)
	rm -f libbz2.a
	$(AR) cq libbz2.a $(OBJS)
	@if ( test -f $(RANLIB) -o -f /usr/bin/ranlib -o \
		-f /bin/ranlib -o -f /usr/ccs/bin/ranlib ) ; then \
		echo $(RANLIB) libbz2.a ; \
		$(RANLIB) libbz2.a ; \
	fi

check: test
test: bzip2
	@cat words1
	./bzip2 -1  < sample1.ref > sample1.rb2
	./bzip2 -2  < sample2.ref > sample2.rb2
	./bzip2 -3  < sample3.ref > sample3.rb2
	./bzip2 -d  < sample1.bz2 > sample1.tst
	./bzip2 -d  < sample2.bz2 > sample2.tst
	./bzip2 -ds < sample3.bz2 > sample3.tst
	cmp sample1.bz2 sample1.rb2 
	cmp sample2.bz2 sample2.rb2
	cmp sample3.bz2 sample3.rb2
	cmp sample1.tst sample1.ref
	cmp sample2.tst sample2.ref
	cmp sample3.tst sample3.ref
	@cat words3

install: bzip2 bzip2recover
	cp -f bzip2 $(PREFIX)/
	$(CROSS_COMPILE)strip $(PREFIX)/bzip2
	chmod a+x $(PREFIX)/bzip2

	#if ( test ! -d $(PREFIX)/bin ) ; then mkdir -p $(PREFIX)/bin ; fi
	#if ( test ! -d $(PREFIX)/lib ) ; then mkdir -p $(PREFIX)/lib ; fi
	#if ( test ! -d $(PREFIX)/man ) ; then mkdir -p $(PREFIX)/man ; fi
	#if ( test ! -d $(PREFIX)/man/man1 ) ; then mkdir -p $(PREFIX)/man/man1 ; fi
	#if ( test ! -d $(PREFIX)/include ) ; then mkdir -p $(PREFIX)/include ; fi
	#cp -f bzip2 $(PREFIX)/bin/bzip2
	#cp -f bzip2 $(PREFIX)/bin/bunzip2
	#cp -f bzip2 $(PREFIX)/bin/bzcat
	#cp -f bzip2recover $(PREFIX)/bin/bzip2recover
	#chmod a+x $(PREFIX)/bin/bzip2
	#chmod a+x $(PREFIX)/bin/bunzip2
	#chmod a+x $(PREFIX)/bin/bzcat
	#chmod a+x $(PREFIX)/bin/bzip2recover
	#cp -f bzip2.1 $(PREFIX)/man/man1
	#chmod a+r $(PREFIX)/man/man1/bzip2.1
	#cp -f bzlib.h $(PREFIX)/include
	#chmod a+r $(PREFIX)/include/bzlib.h
	#cp -f libbz2.a $(PREFIX)/lib
	#chmod a+r $(PREFIX)/lib/libbz2.a
	#cp -f bzgrep $(PREFIX)/bin/bzgrep
	#ln -s -f $(PREFIX)/bin/bzgrep $(PREFIX)/bin/bzegrep
	#ln -s -f $(PREFIX)/bin/bzgrep $(PREFIX)/bin/bzfgrep
	#chmod a+x $(PREFIX)/bin/bzgrep
	#cp -f bzmore $(PREFIX)/bin/bzmore
	#ln -s -f $(PREFIX)/bin/bzmore $(PREFIX)/bin/bzless
	#chmod a+x $(PREFIX)/bin/bzmore
	#cp -f bzdiff $(PREFIX)/bin/bzdiff
	#ln -s -f $(PREFIX)/bin/bzdiff $(PREFIX)/bin/bzcmp
	#chmod a+x $(PREFIX)/bin/bzdiff
	#cp -f bzgrep.1 bzmore.1 bzdiff.1 $(PREFIX)/man/man1
	#chmod a+r $(PREFIX)/man/man1/bzgrep.1
	#chmod a+r $(PREFIX)/man/man1/bzmore.1
	#chmod a+r $(PREFIX)/man/man1/bzdiff.1
	#echo ".so man1/bzgrep.1" > $(PREFIX)/man/man1/bzegrep.1
	#echo ".so man1/bzgrep.1" > $(PREFIX)/man/man1/bzfgrep.1
	#echo ".so man1/bzmore.1" > $(PREFIX)/man/man1/bzless.1
	#echo ".so man1/bzdiff.1" > $(PREFIX)/man/man1/bzcmp.1

clean: 
	rm -f *.o libbz2.a bzip2 bzip2recover \
	sample1.rb2 sample2.rb2 sample3.rb2 \
	sample1.tst sample2.tst sample3.tst

blocksort.o: blocksort.c
	@cat words0
	$(CC) $(CFLAGS) -c blocksort.c
huffman.o: huffman.c
	$(CC) $(CFLAGS) -c huffman.c
crctable.o: crctable.c
	$(CC) $(CFLAGS) -c crctable.c
randtable.o: randtable.c
	$(CC) $(CFLAGS) -c randtable.c
compress.o: compress.c
	$(CC) $(CFLAGS) -c compress.c
decompress.o: decompress.c
	$(CC) $(CFLAGS) -c decompress.c
bzlib.o: bzlib.c
	$(CC) $(CFLAGS) -c bzlib.c
bzip2.o: bzip2.c
	$(CC) $(CFLAGS) -c bzip2.c
bzip2recover.o: bzip2recover.c
	$(CC) $(CFLAGS) -c bzip2recover.c


distclean: clean
	rm -f manual.ps manual.html manual.pdf

DISTNAME=bzip2-1.0.6
dist: check manual
	rm -f $(DISTNAME)
	ln -s -f . $(DISTNAME)
	tar cvf $(DISTNAME).tar \
	   $(DISTNAME)/blocksort.c \
	   $(DISTNAME)/huffman.c \
	   $(DISTNAME)/crctable.c \
	   $(DISTNAME)/randtable.c \
	   $(DISTNAME)/compress.c \
	   $(DISTNAME)/decompress.c \
	   $(DISTNAME)/bzlib.c \
	   $(DISTNAME)/bzip2.c \
	   $(DISTNAME)/bzip2recover.c \
	   $(DISTNAME)/bzlib.h \
	   $(DISTNAME)/bzlib_private.h \
	   $(DISTNAME)/Makefile \
	   $(DISTNAME)/LICENSE \
	   $(DISTNAME)/bzip2.1 \
	   $(DISTNAME)/bzip2.1.preformatted \
	   $(DISTNAME)/bzip2.txt \
	   $(DISTNAME)/words0 \
	   $(DISTNAME)/words1 \
	   $(DISTNAME)/words2 \
	   $(DISTNAME)/words3 \
	   $(DISTNAME)/sample1.ref \
	   $(DISTNAME)/sample2.ref \
	   $(DISTNAME)/sample3.ref \
	   $(DISTNAME)/sample1.bz2 \
	   $(DISTNAME)/sample2.bz2 \
	   $(DISTNAME)/sample3.bz2 \
	   $(DISTNAME)/dlltest.c \
	   $(DISTNAME)/manual.html \
	   $(DISTNAME)/manual.pdf \
	   $(DISTNAME)/manual.ps \
	   $(DISTNAME)/README \
	   $(DISTNAME)/README.COMPILATION.PROBLEMS \
	   $(DISTNAME)/README.XML.STUFF \
	   $(DISTNAME)/CHANGES \
	   $(DISTNAME)/libbz2.def \
	   $(DISTNAME)/libbz2.dsp \
	   $(DISTNAME)/dlltest.dsp \
	   $(DISTNAME)/makefile.msc \
	   $(DISTNAME)/unzcrash.c \
	   $(DISTNAME)/spewG.c \
	   $(DISTNAME)/mk251.c \
	   $(DISTNAME)/bzdiff \
	   $(DISTNAME)/bzdiff.1 \
	   $(DISTNAME)/bzmore \
	   $(DISTNAME)/bzmore.1 \
	   $(DISTNAME)/bzgrep \
	   $(DISTNAME)/bzgrep.1 \
	   $(DISTNAME)/Makefile-libbz2_so \
	   $(DISTNAME)/bz-common.xsl \
	   $(DISTNAME)/bz-fo.xsl \
	   $(DISTNAME)/bz-html.xsl \
	   $(DISTNAME)/bzip.css \
	   $(DISTNAME)/entities.xml \
	   $(DISTNAME)/manual.xml \
	   $(DISTNAME)/format.pl \
	   $(DISTNAME)/xmlproc.sh
	gzip -v $(DISTNAME).tar

# For rebuilding the manual from sources on my SuSE 9.1 box

MANUAL_SRCS= 	bz-common.xsl bz-fo.xsl bz-html.xsl bzip.css \
		entities.xml manual.xml 

manual: manual.html manual.ps manual.pdf

manual.ps: $(MANUAL_SRCS)
	./xmlproc.sh -ps manual.xml

manual.pdf: $(MANUAL_SRCS)
	./xmlproc.sh -pdf manual.xml

manual.html: $(MANUAL_SRCS)
	./xmlproc.sh -html manual.xml

=== userspace/ap/gpl/gsoap/Makefile ===
export CROSS_COMPILE = "arm-uclibc-linux-2.6.36-"
export CC=arm-uclibc-linux-2.6.36-gcc
export CXX=arm-uclibc-linux-2.6.36-g++
export ac_cv_func_malloc_0_nonnull=yes
export LD_LIBRARY_PATH=$(TOOLCHAIN)/lib:$(TOOLCHAIN)/usr/lib:$(TARGETDIR)/lib:$(TARGETDIR)/usr/lib
#echo LD_LIBRARY_PATH=$LD_LIBRARY_PATH
#export CPPFLAGS += -I$(TOP)/../../ap/gpl/openssl/tmp/usr/local/ssl/include -I$(TOP)/../../ap/gpl/openssl/tmp/usr/local/ssl/include/openssl
#export LDFLAGS += -L$(TOP)/../../ap/gpl/openssl/tmp/usr/local/ssl/lib
#export PKG_CONFIG_PATH += $(TOP)/../../ap/gpl/openssl/tmp/usr/local/ssl/lib/pkgconfig

all: .conf  makegsoap  install
.conf:
	cd source ; \
	TOOLCHAIN=/projects/hnd/tools/linux/hndtools-arm-linux-2.6.36-uclibc-4.5.3 \
	CROSS_COMPILE="arm-uclibc-linux-2.6.36-" \
	CC=arm-uclibc-linux-2.6.36-gcc \
	CXX=arm-uclibc-linux-2.6.36-g++ \
	ac_cv_func_malloc_0_nonnull=yes \
	LD_LIBRARY_PATH=$(TOOLCHAIN)/lib:$(TOOLCHAIN)/usr/lib:$(TARGETDIR)/lib:$(TARGETDIR)/usr/lib \
	./configure --target=arm-linux --host=arm-linux --build=i686 --prefix=$(TARGETDIR)/usr --with-gnu-ld ; \
	touch .conf ; \
	cd .. ; \
	cd source_build_platform ; \
	CC=gcc \
	CXX=g++ \
	./configure ; \
	make
	cd ..
	cp source_build_platform/gsoap/src/soapcpp2 source/gsoap/src
	#soapcpp2-soapcpp2_yacc.o soapcpp2-soapcpp2_lex.o soapcpp2-symbol2.o soapcpp2-error2.o soapcpp2-init2.o soapcpp2-soapcpp2.o
	cp source_build_platform/gsoap/src/soapcpp2* source/gsoap/src
makegsoap:
	cd source ; make

clean: .conf cleangsoap
	
cleangsoap: 
	cd source ; make clean	; cd ../source_build_platform ; make clean

distclean:
	rm -rf .conf
	cd source ; make clean ; make distclean

install:
	cd source ; make install

make:
	cd source ; make

=== userspace/ap/gpl/hdparm-9.43/Makefile ===
# Makefile for hdparm

# DESTDIR is for non root installs (eg packages, NFS) only!
DESTDIR = $(TARGETDIR)

binprefix = 
manprefix = /usr
exec_prefix = $(binprefix)/
sbindir = $(exec_prefix)sbin
mandir = $(manprefix)/share/man
oldmandir = $(manprefix)/man

CC ?= gcc
STRIP ?= strip

CFLAGS := -O2 -W -Wall -Wbad-function-cast -Wcast-align -Wpointer-arith -Wcast-qual -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -fkeep-inline-functions -Wwrite-strings -Waggregate-return -Wnested-externs -Wtrigraphs $(CFLAGS)

LDFLAGS = -s
#LDFLAGS = -s -static
INSTALL = install
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_DIR = $(INSTALL) -m 755 -d
INSTALL_PROGRAM = $(INSTALL)

OBJS = hdparm.o identify.o sgio.o sysfs.o geom.o fallocate.o fibmap.o fwdownload.o dvdspeed.o wdidle3.o

all: hdparm

hdparm: hdparm.h sgio.h $(OBJS)
	$(CC) $(LDFLAGS) -o hdparm $(OBJS)
	$(STRIP) hdparm

hdparm.o:	hdparm.h sgio.h

identify.o:	hdparm.h

dvdspeed.o:     dvdspeed.c

sgio.o: sgio.c sgio.h hdparm.h

fwdownload.o: fwdownload.c sgio.h hdparm.h

install: all hdparm.8
	if [ ! -z $(DESTDIR) ]; then $(INSTALL_DIR) $(DESTDIR) ; fi
	if [ ! -z $(DESTDIR)$(sbindir) ]; then $(INSTALL_DIR) $(DESTDIR)$(sbindir) ; fi
#if [ ! -z $(DESTDIR)$(mandir) ]; then $(INSTALL_DIR) $(DESTDIR)$(mandir) ; fi
#	if [ ! -z $(DESTDIR)$(mandir)/man8/ ]; then $(INSTALL_DIR) $(DESTDIR)$(mandir)/man8/ ; fi
	if [ -f $(DESTDIR)$(sbindir)/hdparm ]; then rm -f $(DESTDIR)$(sbindir)/hdparm ; fi
#	if [ -f $(DESTDIR)$(mandir)/man8/hdparm.8 ]; then rm -f $(DESTDIR)$(mandir)/man8/hdparm.8 ;\
	elif [ -f $(DESTDIR)$(oldmandir)/man8/hdparm.8 ]; then rm -f $(DESTDIR)$(oldmandir)/man8/hdparm.8 ; fi
	$(INSTALL_PROGRAM) -D hdparm $(DESTDIR)$(sbindir)/hdparm
#	if [ -d $(DESTDIR)$(mandir) ]; then $(INSTALL_DATA) -D hdparm.8 $(DESTDIR)$(mandir)/man8/hdparm.8 ;\
	elif [ -d $(DESTDIR)$(oldmandir) ]; then $(INSTALL_DATA) -D hdparm.8 $(DESTDIR)$(oldmandir)/man8/hdparm.8 ; fi

clean:
	-rm -f hdparm $(OBJS) core 2>/dev/null

=== userspace/ap/gpl/iproute2/Makefile ===
include ../config.mk
include ../config.in

DESTDIR=$(TARGETDIR)
SBINDIR=/usr/sbin
CONFDIR=/etc/iproute2
DOCDIR=/usr/share/doc/iproute2
MANDIR=/usr/share/man

# Path to db_185.h include
DBM_INCLUDE:=/usr/include

KERNEL_INCLUDE=$(TOOLCHAIN)/include
DEFINES= -DRESOLVE_HOSTNAMES

#options if you have a bind>=4.9.4 libresolv (or, maybe, glibc)
#LDLIBS=-lresolv
ADDLIB=

#options for decnet
# ADDLIB+=dnet_ntop.o dnet_pton.o

#options for ipx
# ADDLIB+=ipx_ntop.o ipx_pton.o

# CC = gcc
#HOSTCC = gcc
HOSTCC = $(CC)
CCOPTS = -D_GNU_SOURCE -O2 -Wstrict-prototypes -Wall
CFLAGS = $(CCOPTS) -I../include $(DEFINES)
YACCFLAGS = -d -t -v

LDLIBS += -L../lib -lnetlink -lutil

# SUBDIRS=lib ip tc misc netem
SUBDIRS=lib ip tc

LIBNETLINK=../lib/libnetlink.a ../lib/libutil.a

all: Config
	@for i in $(SUBDIRS); \
	do $(MAKE) $(MFLAGS) -C $$i; done

Config:
	sh configure $(KERNEL_INCLUDE)

install: all
	install -m 0755 -d $(DESTDIR)$(SBINDIR)
	install -m 0755 -d $(DESTDIR)$(CONFDIR)
	@for i in $(SUBDIRS); do $(MAKE) -C $$i install; done

test:
	#install -m 0755 -d $(DESTDIR)$(DOCDIR)/examples
	#install -m 0755 -d $(DESTDIR)$(DOCDIR)/examples/diffserv
	#install -m 0644 README.iproute2+tc $(shell find examples -maxdepth 1 -type f) \
	#	$(DESTDIR)$(DOCDIR)/examples
	#install -m 0644 $(shell find examples/diffserv -maxdepth 1 -type f) \
	#	$(DESTDIR)$(DOCDIR)/examples/diffserv
	#@for i in $(SUBDIRS) doc; do $(MAKE) -C $$i install; done
	#install -m 0644 $(shell find etc/iproute2 -maxdepth 1 -type f) $(DESTDIR)$(CONFDIR)
	#install -m 0755 -d $(DESTDIR)$(MANDIR)/man8
	#install -m 0644 $(shell find man/man8 -maxdepth 1 -type f) $(DESTDIR)$(MANDIR)/man8
	#ln -sf tc-pbfifo.8  $(DESTDIR)$(MANDIR)/man8/tc-bfifo.8
	#ln -sf tc-pbfifo.8  $(DESTDIR)$(MANDIR)/man8/tc-pfifo.8
	#install -m 0755 -d $(DESTDIR)$(MANDIR)/man3
	#install -m 0644 $(shell find man/man3 -maxdepth 1 -type f) $(DESTDIR)$(MANDIR)/man3

clean:
	rm -f cscope.*
	@for i in $(SUBDIRS) doc; \
	do $(MAKE) $(MFLAGS) -C $$i clean; done

clobber: clean
	rm -f Config

distclean: clobber

cscope:
	cscope -b -q -R -Iinclude -sip -slib -smisc -snetem -stc

.EXPORT_ALL_VARIABLES:

=== userspace/ap/gpl/ipset/Makefile ===
include $(GPLTOPDIR)/config.mk
include $(GPLTOPDIR)/config.in

MODULE_INSTALL_DIR := $(TARGETDIR)/lib/modules/$(KERNELRELEASE)/kernel/drivers/net/ipset

SHARED_LIBRARY_INSTALL_DIR=$(TARGETDIR)/lib
PWD = $(shell pwd)
IPSET_MODULE_DIR = $(PWD)/ipset-7.6/kernel/net/netfilter/ipset
XT_SET_MODULE_DIR = $(PWD)/ipset-7.6/kernel/net/netfilter
IPSET_SHARED_OBJECT_DIR = $(PWD)/ipset-7.6/lib/.libs
IPSET_DIR = $(PWD)/ipset-7.6/src

SUBDIRS = libmnl
SUBDIRS2 = ipset-7.6

all:
	make libmnl_config;
	for i in $(SUBDIRS); do \
		(cd $$i; make clean; make) || exit 1; \
	done
	make ipset_config;
	for i in $(SUBDIRS2); do \
		(cd $$i; make clean; make modules_clean; make; make modules) || exit 1; \
	done

config: libmnl_config ipset_config

libmnl_config:
	cd libmnl && ./autogen.sh &&  $(CONFIGURE) CC=$(TARGET_PLATFORM_CROSS_COMPILE_USER)gcc;

ipset_config:
	cd ipset-7.6 && ./autogen.sh && $(CONFIGURE) CFLAGS="-I$(PWD)/libmnl/include -lmnl -L$(PWD)/libmnl/src/.libs" CC=$(TARGET_PLATFORM_CROSS_COMPILE_USER)gcc --host=arm-linux --with-kbuild=$(KERNELPATH) --with-kmod=no libmnl_CFLAGS="-I$(PWD)/libmnl/include" libmnl_LIBS="-lmnl -L$(PWD)/libmnl/src/.libs";

install:
	install -d $(MODULE_INSTALL_DIR)
#	cp -r -f $(IPSET_MODULE_DIR)/*.ko $(MODULE_INSTALL_DIR)
#	cp -r -f $(XT_SET_MODULE_DIR)/*.ko $(MODULE_INSTALL_DIR)
	cp -r -f $(PWD)/libmnl/src/.libs/libmnl.so* $(SHARED_LIBRARY_INSTALL_DIR)
	cp -r -f $(IPSET_SHARED_OBJECT_DIR)/*.so* $(SHARED_LIBRARY_INSTALL_DIR)
	cd $(TARGETDIR)/lib && ln -sf libc.so.6 libc.so.0
	install -m 755 $(IPSET_DIR)/ipset $(TARGETDIR)/usr/bin

=== userspace/ap/gpl/l2tpd-0.69/Makefile ===
#
# Layer Two Tunneling Protocol Daemon
# Copyright (C)1998 Adtran, Inc.
#
# Mark Spencer <markster@marko.net>
#
# This is free software.  You may distribute it under
# the terms of the GNU General Public License,
# version 2, or at your option any later version.
#
# Note on debugging flags:
# -DDEBUG_ZLB shows all ZLB exchange traffic
# -DDEBUG_CONTROL debugs the /var/run/l2tp-control pipe interface
# -DDEBUG_HELLO debugs when hello messages are sent
# -DDEBUG_CLOSE debugs call and tunnel closing
# -DDEBUG_FLOW debugs flow control system
# -DDEBUG_FILE debugs file format
# -DDEBUG_AAA debugs authentication, accounting, and access control
# -DDEBUG_PAYLOAD shows info on every payload packet
# -DDEBUG_CONTROL shows info on every control packet
# -DDEBUG_PPPD shows the command line of pppd
# -DDEBUG_HIDDEN debugs hidden AVP's
# -DDEBUG_ENTROPY debug entropy generation
# -DTEST_HIDDEN makes Assigned Call ID sent as a hidden AVP
#
# Also look at the top of network.c for some other (eventually to 
# become runtime options) debugging flags
#
include ../config.mk
include ../config.in

#CC= /opt/brcm/hndtools-mipsel-uclibc-3.2.3/bin/mipsel-uclibc-gcc
#DFLAGS= -g -O2 -DDEBUG_PPPD
DFLAGS= -g -O2 -DDEBUG_PPPD -DDEBUG_CONTROL -DDEBUG_ENTROPY -DDEBUG_CLOSE -DPPPOX_L2TP
#
# Uncomment the next line for Linux
#
#OSFLAGS= -DLINUX -I/usr/include
#Foxconn add start by Hank 07/30/2012
#For Kernel 2.6.36
ifeq ($(LINUXDIR),$(BASEDIR)/kernel/linux-4.1)
OSFLAGS= -DLINUX -I$(TOOLCHAIN_TOP)/usr/$(TOOLCHAIN_PREFIX)/sysroot/usr/include/ -DUSE_KERNEL
else ifeq ($(CONFIG_KERNEL_2_6_36),y)
OSFLAGS= -DLINUX -I$(TOOLCHAIN)/include/ -DUSE_KERNEL
else
OSFLAGS= -DLINUX -I/opt/brcm/hndtools-mipsel-uclibc-3.2.3/include/
endif


ifneq ($(LINUXDIR),$(BASEDIR)/kernel/linux-4.1)
OSFLAGS+= -I$(LINUXDIR)/include/
endif

#
# Uncomment the following to use the kernel interface under Linux
#
#OSFLAGS+= -DUSE_KERNEL
#
# Uncomment the next line for FreeBSD
#
#OSFLAGS= -DFREEBSD
#
# Uncomment the next line for Solaris. For solaris, at least,
# we don't want to specify -I/usr/include because it is in
# the basic search path, and will over-ride some gcc-specific
# include paths and cause problems.
#
#OSFLAGS= -DSOLARIS
#OSLIBS= -lnsl -lsocket
#
# Feature flags
#
# Comment the following line to disable l2tpd maintaining IP address
# pools to pass to pppd to control IP address allocation

FFLAGS= -DIP_ALLOCATION 

CFLAGS= $(DFLAGS) -Wall -DSANITY $(OSFLAGS) $(FFLAGS)

#add static_pppoe define.
ifeq ($(CONFIG_STATIC_PPPOE),y)
CFLAGS  += -DSTATIC_PPPOE
else
CFLAGS  += -USTATIC_PPPOE
endif

HDRS=l2tp.h avp.h misc.h control.h call.h scheduler.h file.h aaa.h md5.h
OBJS=l2tpd.o pty.o misc.o control.o avp.o call.o network.o avpsend.o scheduler.o file.o aaa.o md5.o
LIBS= $(OSLIB) # -lefence # efence for malloc checking
BIN=l2tpd
BINDIR=$(TARGETDIR)/usr/sbin
ETCDIR=$(TARGETDIR)/etc

all: $(BIN)

clean:
	rm -f $(OBJS) $(BIN)

$(BIN): $(OBJS) $(HDRS) 
	$(CC) -o $(BIN) $(DFLAGS) $(OBJS) $(LIBS)

install:
	mkdir -p $(BINDIR)
	install -m 755 l2tpd $(BINDIR)
	$(STRIP) $(BINDIR)/l2tpd
	rm -f $(BINDIR)/st*

=== userspace/ap/gpl/libevent/Makefile ===
include ../config.mk
include ../config.in

LIBEVENTDIR = libevent-2.1.8-stable


LIBEVENT_PATH=$(shell pwd)
export LIBEVENT_PATH


LIBS += -l$(TARGETDIR)/usr/lib/ 



all: $(LIBEVENTDIR)


$(LIBEVENTDIR):
	ln -sf $(LIBEVENTDIR) libevent
	$(info build $@)
	$(shell /usr/bin/autoreconf --version | grep 2.68 > file)
	$(shell /usr/bin/automake --version | grep 1.11 > file2)
	[ ! -s file ] || [ ! -s file2 ] || (cd $(LIBEVENTDIR) && /usr/bin/autoreconf -if)
	test -s $@/Makefile || ( cd $@ && ./configure --prefix=$(PKG_INSTALL_DIR)/usr --target=$(TARGET_PLATFORM_ARCH)-linux --host=$(TARGET_PLATFORM_ARCH)-linux CC=${CC} AR=${AR} RANLIB=${RANLIB} STRIP=${STRIP} --disable-debug-mode --disable-openssl && cd .. ); \
	(cd $@; make all) || exit 1;



install:
	install -m 755 $(GPLTOPDIR)/libevent/$(LIBEVENTDIR)/.libs/libevent-2.1.so.6.0.2 $(TARGETDIR)/usr/lib/
	install -m 755 $(GPLTOPDIR)/libevent/$(LIBEVENTDIR)/.libs/libevent_core-2.1.so.6.0.2 $(TARGETDIR)/usr/lib/
	install -m 755 $(GPLTOPDIR)/libevent/$(LIBEVENTDIR)/.libs/libevent_extra-2.1.so.6.0.2 $(TARGETDIR)/usr/lib/
	install -m 755 $(GPLTOPDIR)/libevent/$(LIBEVENTDIR)/.libs/libevent_pthreads-2.1.so.6.0.2 $(TARGETDIR)/usr/lib/
	cd $(TARGETDIR)/usr/lib && ln -sf libevent-2.1.so.6.0.2 libevent-2.1.so.6
	cd $(TARGETDIR)/usr/lib && ln -sf libevent-2.1.so.6.0.2 libevent.so
	cd $(TARGETDIR)/usr/lib && ln -sf libevent_core-2.1.so.6.0.2 libevent_core-2.1.so.6
	cd $(TARGETDIR)/usr/lib && ln -sf libevent_core-2.1.so.6.0.2 libevent_core.so
	cd $(TARGETDIR)/usr/lib && ln -sf libevent_extra-2.1.so.6.0.2 libevent_extra-2.1.so.6
	cd $(TARGETDIR)/usr/lib && ln -sf libevent_extra-2.1.so.6.0.2 libevent_extra.so
	cd $(TARGETDIR)/usr/lib && ln -sf libevent_pthreads-2.1.so.6.0.2 libevent_pthreads-2.1.so.6
	cd $(TARGETDIR)/usr/lib && ln -sf libevent_pthreads-2.1.so.6.0.2 libevent_pthreads.so


clean:
	(cd $(LIBEVENTDIR) ; make clean);

distclean:
	cd ./$(LIBEVENTDIR)/ && make distclean

.PHONY: $(LIBEVENTDIR)

=== userspace/ap/gpl/libjwt/Makefile ===
include ../config.mk
include ../config.in


LIBJWTDIR = libjwt-1.3.1


LIBJWT_PATH=$(shell pwd)
export LIBJWT_PATH

LIB_OPENSSLDIR= $(GPLTOPDIR)/openssl-1.0.2h
SSL_INC = -I$(LIB_OPENSSLDIR)/include


CFLAGS  += $(SSL_INC)

LIBS += -l$(TARGETDIR)/usr/lib/ 

JANSSON_CFLAGS := $(TARGETDIR) -I$(GPLTOPDIR)/jansson/jansson-2.7/src
export JANSSON_CFLAGS
JANSSON_LIBS := $(TARGETDIR)/usr/lib/
export JANSSON_LIBS

CHECK_CFLAGS := $(TARGETDIR)
export CHECK_CFLAGS
CHECK_LIBS := $(TARGETDIR)/usr/lib/
export CHECK_LIBS


all: $(LIBJWTDIR) install


$(LIBJWTDIR):
	$(info build $@)
	$(shell /usr/bin/autoreconf --version | grep 2.68 > file)
	$(shell /usr/bin/automake --version | grep 1.11 > file2)
	[ ! -s file ] || [ ! -s file2 ] || (cd $@ && /usr/bin/autoreconf -if)
	test -s $@/Makefile || ( cd $@ && ./configure --prefix=$(PKG_INSTALL_DIR)/usr --target=$(PLATFORM)-linux --host=$(PLATFORM)-linux --includedir="$(JANSSON_CFLAGS)" CC=${CC} AR=${AR} RANLIB=${RANLIB} STRIP=${STRIP} LDFLAGS="-L$(LIB_OPENSSLDIR)" --with-sysroot=$(TARGETDIR) --with-openssl=$(LIB_OPENSSLDIR) && cd .. ); \
	(cd $@; make all) || exit 1;



install:
	install -m 755 $(LIBJWTDIR)/libjwt/.libs/libjwt.so* $(TARGETDIR)/usr/lib/
#	install -d -m0755 $(TARGETDIR)/etc/avahi	
#	install -d -m0755 $(TARGETDIR)/usr/config/avahi/services


clean:
	(cd $(LIBJWTDIR) ; make clean);

distclean:
	cd ./$(LIBJWTDIR)/ && make distclean

.PHONY: $(LIBJWTDIR)

=== userspace/ap/gpl/libssh2/Makefile ===
############################################################################################
#
#	Makefile For libssh2
#
#	Author: Han Chang
#	Date: 2022.04.13
#	
#	Description:
#		It will be used by xAgent implementation.
#		We will use the version curl-7.36.0 for xAgent.
#
#############################################################################################
include $(GPLTOPDIR)/config.mk
include $(GPLTOPDIR)/config.in

APP=libssh2-1.10.0
SUBDIRS := libssh2-1.10.0

CURL_DIR_PATH=$(shell pwd)

.PHONY:

all: gen_conf libssh2
	cd $(APP); make
	cd $(APP); ln -sf src/.libs lib

gen_conf:
	if [ ! -e $(APP)/Makefile.in ]; then \
    	echo "Untarring original $(APP) source"; \
	    (tar zxvf $(APP).tar.gz 2> /dev/null); \
	    (ln -sf $(APP) libssh2); \
	    (cd $(APP); \
	    ./configure --host=$(TARGET_PLATFORM_ARCH)-linux --prefix=$(TARGETDIR) \
						--disable-examples-build \
						--with-ssl=$(LIB_OPENSSLDIR) \
						--with-libssl-prefix=$(LIB_OPENSSLDIR) LDFLAGS=-Wl,-rpath-link,$(LIB_OPENSSLDIR)/lib ); \
        fi

libssh2:	
	cd $(APP); make
	cd $(APP); ln -sf src/.libs lib

clean:
	@if [ -e $(SUBDIRS)/Makefile ]; then \
    cd $(SUBDIRS); $(MAKE) distclean ; \
    fi
	-rm -rf $(SUBDIRS)
	rm -rf $(TARGETDIR)/lib/libssh2.*
	
install:
#	$(TARGET_PLATFORM_CROSS_COMPILE_USER)strip $(CURL_DIR_PATH)/binary/curl
#	rm -rf $(TARGETDIR)/bin/curl
#	rm -f $(TARGETDIR)/lib/public/libcurl.so*
#	install -d $(TARGETDIR)/sbin/
#	install -m 755 $(CURL_DIR_PATH)/binary/curl $(TARGETDIR)/sbin
	install -m 755 $(APP)/src/.libs/libssh2.so.1.0.1  $(TARGETDIR)/lib/
	ln -sf libssh2.so.1.0.1  $(TARGETDIR)/lib/libssh2.so.1
	ln -sf libssh2.so.1.0.1  $(TARGETDIR)/lib/libssh2.so

=== userspace/ap/gpl/llmnrd/Makefile ===
include ../config.mk

SRCDIR := llmnrd-master

LIBPNG_DIR_PATH=$(shell pwd)

all: makellmnrd

makellmnrd:
	cd $(SRCDIR); make CROSS_COMPILE=$(CROSS_COMPILE)
		 
clean:
	rm -f $(TARGETDIR)/usr/sbin/llmnrd
	rm -f $(TARGETDIR)/usr/sbin/llmnr-query
	cd $(SRCDIR); make clean

install:
	cd $(SRCDIR); make DESTDIR=$(TARGETDIR) prefix=/usr install

=== userspace/ap/gpl/hd-idle-1.04/debian/changelog ===
hd-idle (1.04) unstable; urgency=low

  * Make hd-idle's build environment compatible to Debian package management;
    this effort is meant to allow hd-idle to become an official Debian package
  * Man page for hd-idle

 -- Christian Mueller <cm1@mumac.de>  Fri, 30 Sep 2011 22:35:12 +0200

hd-idle (1.03) unstable; urgency=low
 
  * Use %u in dprintf() when reporting number of reads and writes (the
    corresponding variable is an unsigned int).
  * Fix example in README where the parameter "-a" was written as "-n".

 -- Christian Mueller <cm1@mumac.de>  Sun, 5 Dec 2010 19:25:51 +0100

hd-idle (1.02) unstable; urgency=low

  * In case the SCSI stop unit command fails with "check condition", print a
    hex dump of the sense buffer to stderr. This is supposed to help
    debugging.

 -- Christian Mueller <cm1@mumac.de>  Sat, 6 Nov 2010 15:47:00 +0100

hd-idle (1.01) unstable; urgency=low

  * The parameter "-a" now also supports symlinks for disk names. Thus, disks
    can be specified using something like /dev/disk/by-uuid/... Use "-d" to
    verify that the resulting disk name is what you want.
  
    Please note that disk names are resolved to device nodes at startup. Also,
    since many entries in /dev/disk/by-xxx are actually partitions, partition
    numbers are automatically removed from the resulting device node.

  * Not really a bug, but the disk name comparison used strstr which is a bit
    useless because only disks starting with "sd" and a single letter after
    that are currently considered. Replaced the comparison with strcmp()

 -- Christian Mueller <cm1@mumac.de>  Fri, 26 Feb 2010 14:03:44 +0100

hd-idle (1.00) unstable; urgency=low

  * New parameter "-a" to allow selecting idle timeouts for individual disks;
    compatibility to previous releases is maintained by having an implicit
    default which matches all SCSI disks

  * Changed comparison operator for idle periods from '>' to '>=' to prevent
    adding one polling interval to idle time

  * Changed sleep time before calling sync after updating the log file to 1s
    (from 3s) to accumulate fewer dirty blocks before synching. It's still
    a compromize but the log file is for debugging purposes, anyway. A test
    with fsync() was unsuccessful because the next bdflush-initiated sync
    still caused spin-ups.

 -- Christian Mueller <cm1@mumac.de>  Wed, 18 Nov 2009 20:53:17 +0100

hd-idle (0.99) unstable; urgency=low

  * Initial Release.

 -- Christian Mueller <cm1@mumac.de>  Mon, 23 Apr 2007 22:03:10 +0100

=== userspace/ap/gpl/bftpd-4.8/debian/control ===
Source: bftpd
Section: net
Priority: extra
Maintainer: Jesse Smith <jessefrgsmith@yahoo.ca>
Standards-Version: 3.0.1

Package: bftpd
Architecture: any
Depends: ${shlibs:Depends}
Description: A very configurable small FTP server
 bftpd is a very configurable and small FTP server that supports chroot
 without special directory preparation or configuration. Most FTP commands
 are supported.
